Bug 27530 - Sample patron data should be updated and/or use relative dates
Summary: Sample patron data should be updated and/or use relative dates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-22 16:03 UTC by Nick Clemens
Modified: 2021-02-11 21:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03,20.05.09


Attachments
Bug 27530: Set dateexpiry to 2099 in sample patrons (13.08 KB, patch)
2021-01-27 09:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27530: Set correct dateofbirth for 'C' (1.08 KB, patch)
2021-01-27 09:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27530: Set dateexpiry to 2099 in sample patrons (13.14 KB, patch)
2021-01-27 13:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27530: Set correct dateofbirth for 'C' (1.13 KB, patch)
2021-01-27 13:24 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27530: Set dateexpiry to 2099 in sample patrons (13.20 KB, patch)
2021-01-31 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27530: Set correct dateofbirth for 'C' (1.19 KB, patch)
2021-01-31 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-01-22 16:03:35 UTC
Many patrons in the sample file are expired now that we all live in the future.

Ideally we would set the dates relative so that patrons don't start to get too old or be expired etc.
Comment 1 Jonathan Druart 2021-01-27 09:24:21 UTC
Created attachment 115858 [details] [review]
Bug 27530: Set dateexpiry to 2099 in sample patrons

To prevent them to be expired.

Note that the last patron is kept expired.
Comment 2 Jonathan Druart 2021-01-27 09:24:25 UTC
Created attachment 115859 [details] [review]
Bug 27530: Set correct dateofbirth for 'C'

Categories B, J, K and YA have a upper age limit of 17 years.
We are setting the dateofbirth to today - 15 years to prevent juvenils
to be 70!

Note that DATE_SUB is a MySQLism, but there is no way to be portable
here.
Comment 3 Nick Clemens 2021-01-27 13:24:50 UTC
Created attachment 115884 [details] [review]
Bug 27530: Set dateexpiry to 2099 in sample patrons

To prevent them to be expired.

Note that the last patron is kept expired.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2021-01-27 13:24:52 UTC
Created attachment 115885 [details] [review]
Bug 27530: Set correct dateofbirth for 'C'

Categories B, J, K and YA have a upper age limit of 17 years.
We are setting the dateofbirth to today - 15 years to prevent juvenils
to be 70!

Note that DATE_SUB is a MySQLism, but there is no way to be portable
here.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Katrin Fischer 2021-01-31 13:20:26 UTC
Created attachment 116101 [details] [review]
Bug 27530: Set dateexpiry to 2099 in sample patrons

To prevent them to be expired.

Note that the last patron is kept expired.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-01-31 13:20:30 UTC
Created attachment 116102 [details] [review]
Bug 27530: Set correct dateofbirth for 'C'

Categories B, J, K and YA have a upper age limit of 17 years.
We are setting the dateofbirth to today - 15 years to prevent juvenils
to be 70!

Note that DATE_SUB is a MySQLism, but there is no way to be portable
here.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-01-31 13:21:59 UTC
This will only work for the installers that have already been moved to the yaml system. But I am ok with the limit in this case. I believe the most installed sample data is probably the English one.
Comment 8 Jonathan Druart 2021-02-01 16:26:57 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-02-05 15:40:01 UTC
Pushed to 20.11.x for 20.11.03
Comment 10 Andrew Fuerste-Henry 2021-02-09 12:36:56 UTC
Pushed to 20.05.x for 20.05.09
Comment 11 Victor Grousset/tuxayo 2021-02-11 00:33:17 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.